Function
maxValue
Supremum for a given type.
maxValue<T>()
Include Headers
seqan/basic.h // TODO(holtgrew): Rename to minValueImpl?
Parameters

T | An ordered type. Types: OrderedAlphabetConcept

Remarks
The function is implemented in supremumValueImpl. Do not specialize maxValue, specialize supremumValueImpl instead!
Status
deprecated, will be removed in favour of MaxValue
Return Values
A value inf that holds: inf >= i for all values i of type T.
Part of Concept
OrderedAlphabetConcept
See Also
supremumValueImpl, MaxValue, minValue
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:58